> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/table-tennis/table-tennis-multisport/rest-api/fixtures.md).

# Fixtures

The Fixtures API lets developers list and manage competition fixtures of a specific season for which a client is licensed. This is a gateway into the Actions API and allows clients to determine which fixtures are live and available.

Applications don't need any input to list all fixtures, however information can be filtered by start date and end date among others. fixtures for which a client is licensed.

Per each competition, the endpoints will return the following information:

* Name of the competition
* Fixture date and kick-off time
* Home and Away team (with IDs)
* Venue
* Stage/Round/Group information
* Status (scheduled, live, completed, postponed)

## Endpoints

## List fixtures

<mark style="color:$primary;">Legacy -</mark> <mark style="color:blue;">`GET`</mark> `https://dde-api.data.imgarena.com/v2/tabletennis/fixtures` (Decommissioning on 30th Sept 2026)

**NEW** - <mark style="color:blue;">`GET`</mark> `https://dde-api.data.srarena.io/v2/tabletennis/fixtures`

Retrieves a list of seasons for a specific sport.

#### Path Parameters

| Name                                    | Type   | Description |
| --------------------------------------- | ------ | ----------- |
| sport<mark style="color:red;">\*</mark> | String | tabletennis |

#### Query Parameters

| Name           | Type    | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| -------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| live           | Boolean | Allows users to determine which fixtures are live and available based on a user's licence. **Example:** `true`, `false`                                                                                                                                                                                                                                                                                                                                                                                             |
| status         | String  | Allows clients to filter based on the status of a match or group of matches. **Example**: `scheduled`, `live`, `completed`, `postponed`                                                                                                                                                                                                                                                                                                                                                                             |
| dateFrom       | Date    | Allows clients to filter between specific dates. **Example**: `2023-01-01`                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| dateTo         | Date    | Allows clients to filter between specific dates. **Example**: `2023-01-01`                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| type           | String  | Allows clients to filter based on the type of a match or group of matches. **Example**: `official`, `simulation`, `training`                                                                                                                                                                                                                                                                                                                                                                                        |
| coverageLevel  | String  | The coverage level of a fixture. **Examples**: `noCoverage`, `inVenue`, `lowLatencyStream`, `standardStre`am & `video(postmatch)`                                                                                                                                                                                                                                                                                                                                                                                   |
| sort           | String  | <p>Assortment of the data within the fixtures API. We currently support <code>name</code>, <code>asc</code>, <code>desc</code> and <code>startTime</code>.</p><p>Sort should be supplied in the form <code>sort=\&#x3C;field>,\&#x3C;direction></code> where direction defaults to <code>asc</code> if not supplied.</p><p>If wanting to sort by multiple fields then the sort parameter should be supplied for each field in the order the sort is desired.</p><p>Default sort order is by startTime and name.</p> |
| size           | Integer | The page size. Default is 20 fixtures. Please be sensible specifying the size to ensure the most efficient results and API performance                                                                                                                                                                                                                                                                                                                                                                              |
| page           | Integer | The page number                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| includeDeleted | Boolean | <p>Pass "false" to exclude deleted fixtures from the response.<br></p><p>By default, this value is set to "true," meaning deleted fixtures will be included in the response.</p>                                                                                                                                                                                                                                                                                                                                    |

#### Headers

| Name                                            | Type   | Description                                      |
| ----------------------------------------------- | ------ | ------------------------------------------------ |
| Accept<mark style="color:red;">\*</mark>        | String | application/vnd.imggaming.dde.api+json;version=1 |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer ACCESS\_TOKEN                             |
| Content-Type<mark style="color:red;">\*</mark>  | String | application/json                                 |

{% tabs %}
{% tab title="400: Bad Request " %}

```json
{
    Request is missing required HTTP header 'Accept'
}
```

{% endtab %}

{% tab title="401: Unauthorized " %}

```json
{
    The supplied authentication is invalid
}
```

{% endtab %}

{% tab title="200: OK " %}

```json
{
  "id": "4e2daa7c-c19f-4ed2-b49e-ac932d5ec29c",
  "name": "GODA Hana v WANG Yidi",
  "status": "Scheduled",
  "collectionStatus": "CollectionScheduled",
  "type": "Official",
  "coverageLevel": "In Venue",
  "startDateUTC": "2025-05-20T15:00:00",
  "teams": [
    {
      "id": "e540dca8-0523-4f53-b867-71731e5d95ad",
      "name": "GODA Hana",
      "club": {
        "id": "01976286-6031-409b-baf8-81c28d2fc748",
        "name": "GODA Hana"
      },
      "category": {
        "id": 2,
        "name": "Women"
      },
      "homeTeam": true
    },
    {
      "id": "ef519ff1-1ecb-4ab0-afee-9f096f2a6812",
      "name": "WANG Yidi",
      "club": {
        "id": "a8b92131-246f-4fd6-bab6-00b289283324",
        "name": "WANG Yidi"
      },
      "category": {
        "id": 2,
        "name": "Women"
      },
      "homeTeam": false
    }
  ],
  "stage": {
    "id": "23c3062c-6a37-4a5d-84bd-6162731c0ddb",
    "name": "3108_WS_SEN",
    "season": {
      "id": "746dffba-612e-412f-9c28-62cbcda0c1cb",
      "name": "reg",
      "startDateUTC": "2025-05-01T12:00:00",
      "endDateUTC": "2025-05-31T12:00:00",
      "competition": {
        "id": "1af2d6fd-7852-4dfb-9515-98d59015370f",
        "name": "3108 WTT Import women single",
        "type": "Official",
        "category": {
          "id": 2,
          "name": "Women"
        },
        "format": {
          "id": 251322,
          "name": "singles"
        },
        "location": {
          "name": "Qatar",
          "country": {},
          "continent": {
            "name": "Asia"
          }
        },
        "commentCount": 0
      },
      "sport": "Table Tennis"
    },
    "startDateUTC": "2025-05-01T12:00:00",
    "endDateUTC": "2025-05-31T12:00:00"
  },
  "venue": {
    "id": "cd43d5cb-401f-4242-99ff-cd3e501b0c42",
    "name": "Huaxi LIVE Yudong Arena",
    "location": {
      "name": "Chongqing",
      "country": {
        "name": "China"
      },
      "continent": {
        "name": "Asia"
      }
    }
  },
  "sport": "Table Tennis",
  "fixtureDeleted": false,
  "updateCount": 0
}
```

{% endtab %}
{% endtabs %}

## List season fixtures

<mark style="color:blue;">`GET`</mark> `https://dde-api.data.srarena.io/tabletennis/seasons/{seasonId}/fixtures`

#### Path Parameters

| Name                                       | Type   | Description                     |
| ------------------------------------------ | ------ | ------------------------------- |
| sport<mark style="color:red;">\*</mark>    | String | tabletennis                     |
| seasonId<mark style="color:red;">\*</mark> | UUID   | unique id of a requested season |

#### Query Parameters

| Name           | Type    | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| -------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| live           | Boolean | Allows users to determine which fixtures are live and available based on a user's licence. **Example:** `true`, `false`                                                                                                                                                                                                                                                                                                                                                                                      |
| status         | String  | Allows clients to filter based on the status of a match or group of matches. **Example**: `scheduled`, `live`, `completed`, `postponed`                                                                                                                                                                                                                                                                                                                                                                      |
| dateFrom       | Date    | Allows clients to filter between specific dates. **Example**: `2023-01-01`                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| dateTo         | Date    | Allows clients to filter between specific dates. **Example**: `2023-01-01`                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| type           | String  | Allows clients to filter based on the type of a match or group of matches. **Example**: `official`, `simulation`, `training`                                                                                                                                                                                                                                                                                                                                                                                 |
| sort           | String  | <p>Assortment of the data within the fixtures API. We currently support <code>name</code>, <code>asc</code>, <code>desc</code> and <code>startTime</code> Sort should be supplied in the form <code>sort=\&#x3C;field>,\&#x3C;direction></code> where direction defaults to <code>asc</code> if not supplied.</p><p>If wanting to sort by multiple fields then the sort parameter should be supplied for each field in the order the sort is desired.</p><p>Default sort order is by startTime and name.</p> |
| size           | Integer | The page size. Default is 20 fixtures. Please be sensible specifying the size to ensure the most efficient results and API performance                                                                                                                                                                                                                                                                                                                                                                       |
| page           | Integer | The page number                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| coverageLevel  | String  | The coverage level of a fixture. **Examples**: `noCoverage`, `inVenue`, `lowLatencyStream`, `standardStre`am & `video(postmatch)`                                                                                                                                                                                                                                                                                                                                                                            |
| includeDeleted | Boolean | <p>Pass "false" to exclude deleted fixtures from the response.<br></p><p>By default, this value is set to "true," meaning deleted fixtures will be included in the response.</p>                                                                                                                                                                                                                                                                                                                             |

{% tabs %}
{% tab title="200: OK " %}

```json
 {
            "id": "220e785d-8080-4bc0-abb0-3e1578bd7891",
            "name": "BOULOUSSA Mehdi v MATSUDAIRA Kenji",
            "status": "Completed",
            "collectionStatus": "CollectionCompleted",
            "type": "Official",
            "coverageLevel": "In Venue",
            "startDateUTC": "2025-05-18T17:30:00",
            "teams": [
                {
                    "id": "732124f9-8800-4b29-a884-e429d235703e",
                    "name": "BOULOUSSA Mehdi",
                    "club": {
                        "id": "3f6b8508-3168-40f7-951a-a262eeabe923",
                        "name": "BOULOUSSA Mehdi"
                    },
                    "category": {
                        "id": 1,
                        "name": "Men"
                    },
                    "homeTeam": true
                },
                {
                    "id": "96abfd8d-0424-448f-ac7e-a08b5a74b506",
                    "name": "MATSUDAIRA Kenji",
                    "club": {
                        "id": "0b061f9a-9997-4cf2-8517-1cb00aabaa00",
                        "name": "MATSUDAIRA Kenji"
                    },
                    "category": {
                        "id": 1,
                        "name": "Men"
                    },
                    "homeTeam": false
                }
            ],
            "stage": {
                "id": "b9201033-f0bd-465a-a873-d391239f86b3",
                "name": "reg",
                "season": {
                    "id": "ff88b9c6-6598-4d05-88c5-c87751e64380",
                    "name": "reg",
                    "startDateUTC": "2025-05-01T12:00:00",
                    "endDateUTC": "2025-05-31T12:00:00",
                    "competition": {
                        "id": "bd9b6a78-5024-4d38-92f9-8add0ad8eaa2",
                        "name": "3108 WTT import men single sen",
                        "type": "Official",
                        "category": {
                            "id": 1,
                            "name": "Men"
                        },
                        "format": {
                            "id": 251322,
                            "name": "singles"
                        },
                        "location": {
                            "name": "Qatar",
                            "country": {},
                            "continent": {
                                "name": "Asia"
                            }
                        },
                        "commentCount": 0
                    },
                    "sport": "Table Tennis"
                },
                "startDateUTC": "2025-05-01T12:00:00",
                "endDateUTC": "2025-05-31T12:00:00"
            },
            "venue": {
                "id": "cd43d5cb-401f-4242-99ff-cd3e501b0c42",
                "name": "Huaxi LIVE Yudong Arena",
                "location": {
                    "name": "Chongqing",
                    "country": {
                        "name": "China"
                    },
                    "continent": {
                        "name": "Asia"
                    }
                }
            },
            "fixtureSummary": {
                "isTied": false,
                "periods": [
                    {
                        "id": 1,
                        "end": "2025-05-18T17:08:59",
                        "type": "Regular",
                        "label": "1st Set",
                        "start": "2025-05-18T17:00:15",
                        "awayTeamScore": 1,
                        "homeTeamScore": 0,
                        "awayTeamPeriodScore": 11,
                        "homeTeamPeriodScore": 8
                    },
                    {
                        "id": 2,
                        "end": "2025-05-18T17:17:58",
                        "type": "Regular",
                        "label": "2nd Set",
                        "start": "2025-05-18T17:08:59",
                        "awayTeamScore": 2,
                        "homeTeamScore": 0,
                        "awayTeamPeriodScore": 11,
                        "homeTeamPeriodScore": 7
                    },
                    {
                        "id": 3,
                        "end": "2025-05-18T17:27:56",
                        "type": "Regular",
                        "label": "3rd Set",
                        "start": "2025-05-18T17:17:58",
                        "awayTeamScore": 3,
                        "homeTeamScore": 0,
                        "awayTeamPeriodScore": 11,
                        "homeTeamPeriodScore": 3
                    },
                    {
                        "id": 4,
                        "end": "2025-05-18T17:37:11",
                        "type": "Regular",
                        "label": "4th Set",
                        "start": "2025-05-18T17:27:56",
                        "awayTeamScore": 4,
                        "homeTeamScore": 0,
                        "awayTeamPeriodScore": 12,
                        "homeTeamPeriodScore": 10
                    }
                ],
                "finished": true,
                "awayTeamScore": 4,
                "currentPeriod": 4,
                "currentStatus": "Completed",
                "homeTeamScore": 0,
                "collectionStatus": "CollectionCompleted",
                "currentClockTime": "00:00",
                "currentClockState": "stopped",
                "isHomeTeamInPossesion": false
            },
            "sport": "Table Tennis",
            "fixtureDeleted": false,
            "updateCount": 0
        },
        {
            "id": "c7876a1b-c3ef-49b0-8ea4-62600fd44726",
            "name": "CASTRO Rogelio v CALDERANO Hugo",
            "status": "Live",
            "collectionStatus": "CollectingLive",
            "type": "Official",
            "coverageLevel": "In Venue",
            "startDateUTC": "2025-05-18T16:50:00",
            "teams": [
                {
                    "id": "d89ae9e5-852b-4481-a6bb-76f0de9bf53a",
                    "name": "CASTRO Rogelio",
                    "club": {
                        "id": "044ae2b2-e761-4159-b127-0913b75ec294",
                        "name": "CASTRO Rogelio"
                    },
                    "category": {
                        "id": 1,
                        "name": "Men"
                    },
                    "homeTeam": true
                },
                {
                    "id": "104275c1-0ae6-4bca-9864-fae4270dd8bb",
                    "name": "CALDERANO Hugo",
                    "club": {
                        "id": "727693a6-ce07-4707-836c-f776fff0c824",
                        "name": "CALDERANO Hugo"
                    },
                    "category": {
                        "id": 1,
                        "name": "Men"
                    },
                    "homeTeam": false
                }
            ],
            "stage": {
                "id": "b9201033-f0bd-465a-a873-d391239f86b3",
                "name": "reg",
                "season": {
                    "id": "ff88b9c6-6598-4d05-88c5-c87751e64380",
                    "name": "reg",
                    "startDateUTC": "2025-05-01T12:00:00",
                    "endDateUTC": "2025-05-31T12:00:00",
                    "competition": {
                        "id": "bd9b6a78-5024-4d38-92f9-8add0ad8eaa2",
                        "name": "3108 WTT import men single sen",
                        "type": "Official",
                        "category": {
                            "id": 1,
                            "name": "Men"
                        },
                        "format": {
                            "id": 251322,
                            "name": "singles"
                        },
                        "location": {
                            "name": "Qatar",
                            "country": {},
                            "continent": {
                                "name": "Asia"
                            }
                        },
                        "commentCount": 0
                    },
                    "sport": "Table Tennis"
                },
                "startDateUTC": "2025-05-01T12:00:00",
                "endDateUTC": "2025-05-31T12:00:00"
            },
            "venue": {
                "id": "cd43d5cb-401f-4242-99ff-cd3e501b0c42",
                "name": "Huaxi LIVE Yudong Arena",
                "location": {
                    "name": "Chongqing",
                    "country": {
                        "name": "China"
                    },
                    "continent": {
                        "name": "Asia"
                    }
                }
            },
            "sport": "Table Tennis",
            "fixtureDeleted": false,
            "updateCount": 0
        }
```

{% endtab %}

{% tab title="400: Bad Request " %}

```json
{
    Request is missing required HTTP header 'Accept'
}
```

{% endtab %}

{% tab title="401: Unauthorized " %}

```json
{
    The supplied authentication is invalid
}
```

{% endtab %}
{% endtabs %}

## Get fixture

<mark style="color:blue;">`GET`</mark> `https://dde-api.data.srarena.io/tabletennis/fixtures/{fixtureId}`

#### Path Parameters

| Name                                        | Type   | Description                       |
| ------------------------------------------- | ------ | --------------------------------- |
| sport<mark style="color:red;">\*</mark>     | String | tabletennis                       |
| fixtureId<mark style="color:red;">\*</mark> | UUID   | Unique id of a requested fixture. |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "id": "d7c7e9c0-fc9b-4096-8978-4a129de8d670",
    "name": "CIFUENTES Horacio v JELLOULI Milhane",
    "status": "Completed",
    "collectionStatus": "CollectionCompleted",
    "type": "Official",
    "coverageLevel": "In Venue",
    "startDateUTC": "2025-05-18T16:50:00",
    "teams": [
        {
            "id": "b6958be7-04e5-43e5-a363-e8a69dd92e5e",
            "name": "CIFUENTES Horacio",
            "club": {
                "id": "24660e69-c7b6-44ab-83e0-f3ff1eaae8b5",
                "name": "CIFUENTES Horacio"
            },
            "category": {
                "id": 1,
                "name": "Men"
            },
            "homeTeam": true
        },
        {
            "id": "66d62051-c708-4814-be56-242e4837545c",
            "name": "JELLOULI Milhane",
            "club": {
                "id": "db48da1b-ad03-4ad4-826e-a2be5c83f2a3",
                "name": "JELLOULI Milhane"
            },
            "category": {
                "id": 1,
                "name": "Men"
            },
            "homeTeam": false
        }
    ],
    "stage": {
        "id": "b9201033-f0bd-465a-a873-d391239f86b3",
        "name": "reg",
        "season": {
            "id": "ff88b9c6-6598-4d05-88c5-c87751e64380",
            "name": "reg",
            "startDateUTC": "2025-05-01T12:00:00",
            "endDateUTC": "2025-05-31T12:00:00",
            "competition": {
                "id": "bd9b6a78-5024-4d38-92f9-8add0ad8eaa2",
                "name": "3108 WTT import men single sen",
                "type": "Official",
                "category": {
                    "id": 1,
                    "name": "Men"
                },
                "format": {
                    "id": 251322,
                    "name": "singles"
                },
                "location": {
                    "name": "Qatar",
                    "country": {},
                    "continent": {
                        "name": "Asia"
                    }
                },
                "commentCount": 0
            },
            "sport": "Table Tennis"
        },
        "startDateUTC": "2025-05-01T12:00:00",
        "endDateUTC": "2025-05-31T12:00:00"
    },
    "venue": {
        "id": "cd43d5cb-401f-4242-99ff-cd3e501b0c42",
        "name": "Huaxi LIVE Yudong Arena",
        "location": {
            "name": "Chongqing",
            "country": {
                "name": "China"
            },
            "continent": {
                "name": "Asia"
            }
        }
    },
    "fixtureSummary": {
        "isTied": false,
        "periods": [
            {
                "id": 1,
                "end": "2025-05-18T17:28:01",
                "type": "Regular",
                "label": "1st Set",
                "start": "2025-05-18T17:20:27",
                "awayTeamScore": 0,
                "homeTeamScore": 1,
                "awayTeamPeriodScore": 5,
                "homeTeamPeriodScore": 11
            },
            {
                "id": 2,
                "end": "2025-05-18T17:35:40",
                "type": "Regular",
                "label": "2nd Set",
                "start": "2025-05-18T17:28:01",
                "awayTeamScore": 0,
                "homeTeamScore": 2,
                "awayTeamPeriodScore": 8,
                "homeTeamPeriodScore": 11
            },
            {
                "id": 3,
                "end": "2025-05-18T17:44:15",
                "type": "Regular",
                "label": "3rd Set",
                "start": "2025-05-18T17:35:40",
                "awayTeamScore": 0,
                "homeTeamScore": 3,
                "awayTeamPeriodScore": 8,
                "homeTeamPeriodScore": 11
            },
            {
                "id": 4,
                "end": "2025-05-18T17:53:07",
                "type": "Regular",
                "label": "4th Set",
                "start": "2025-05-18T17:44:15",
                "awayTeamScore": 0,
                "homeTeamScore": 4,
                "awayTeamPeriodScore": 8,
                "homeTeamPeriodScore": 11
            }
        ],
        "finished": true,
        "awayTeamScore": 0,
        "currentPeriod": 4,
        "currentStatus": "Completed",
        "homeTeamScore": 4,
        "collectionStatus": "CollectionCompleted",
        "currentClockTime": "00:00",
        "currentClockState": "stopped",
        "isHomeTeamInPossesion": false
    },
    "sport": "Table Tennis",
    "fixtureDeleted": false,
    "updateCount": 0
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

```json
{
    Request is missing required HTTP header 'Accept'
}
```

{% endtab %}

{% tab title="401: Unauthorized " %}

```json
{
    The supplied authentication is invalid
}
```

{% endtab %}
{% endtabs %}

### Response fields

<table data-header-hidden><thead><tr><th width="178">Property</th><th>Description</th></tr></thead><tbody><tr><td>fixture<br><a href="/pages/ulMryaHzSM3aqnFcC8uT"><em><mark style="color:blue;">Fixtures</mark></em></a></td><td>The requested list of fixtures or a single fixture.<br></td></tr></tbody></table>

## Efficient Polling

Although not real-time, API polling involves the repetitive transmission of client requests to an endpoint for the purpose of identifying changes in information. To maintain optimal performance for all customers, our API implements rate limits.We recommend the following frequency for your REST requests to ensure that you have the most up-to-date information at all times.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/table-tennis/table-tennis-multisport/rest-api/fixtures.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
